import { EmptyError as t } from "./index-EmptyError.js";
import { SafeSubscriber as u } from "./index-Subscriber.js";
function b(o, c) {
  return new Promise(function(e, r) {
    var n = new u({
      next: function(i) {
        e(i), n.unsubscribe();
      },
      error: r,
      complete: function() {
        r(new t());
      }
    });
    o.subscribe(n);
  });
}
export {
  b as firstValueFrom
};
